import * as Config from '@oclif/config';
import { APIClient } from './api_client';
export declare namespace Login {
    interface Options {
        expiresIn?: number;
        method?: 'interactive' | 'sso' | 'browser';
        browser?: string;
    }
}
export declare class Login {
    private readonly config;
    private readonly heroku;
    loginHost: string;
    constructor(config: Config.IConfig, heroku: APIClient);
    login(opts?: Login.Options): Promise<void>;
    logout(token?: string | undefined): Promise<any>;
    private browser();
    private interactive(login?, expiresIn?);
    private createOAuthToken(username, password, opts?);
    private saveToken(entry);
    private defaultToken();
    private enableBrowserLogin();
    private sso(org?);
}
